IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Attributes

Attributes to segment and filter units by

The attribute object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this attribute is defined in

created_attimestamp with time zone

Creation timestamp

nameMultiLanguageString

Localized name

orderinteger

Order of the attribute displayed on widgets and websites

type"single-select" | "multi-select"

Attribute type, either single-select of multi-select

The attribute object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:46:23.814Z",
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "order": 1,
  "type": "single-select"
}

List attributes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the attribute displayed on widgets and websites

typeFilter<"single-select" | "multi-select">

Attribute type, either single-select of multi-select

Responses

200

A list of attributes with the selected columns

206

Partial Content

GET /attributes
curl -X GET "https://api.bookingmood.com/v1/attributes?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create attributes

Body

Partial<Attribute> | Array<Partial<Attribute>>

Responses

201

The newly created attributes with the selected columns

POST /attributes
curl -X POST "https://api.bookingmood.com/v1/attributes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete attributes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the attribute displayed on widgets and websites

typeFilter<"single-select" | "multi-select">

Attribute type, either single-select of multi-select

Responses

204

The deleted attributes with the selected columns

DELETE /attributes
curl -X DELETE "https://api.bookingmood.com/v1/attributes" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update attributes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this attribute is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>

Order of the attribute displayed on widgets and websites

typeFilter<"single-select" | "multi-select">

Attribute type, either single-select of multi-select

Body

Partial<Attribute>

Responses

204

The updated attributes with the selected columns

PATCH /attributes
curl -X PATCH "https://api.bookingmood.com/v1/attributes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'